import * as $dara from '@darabonba/typescript';
import { DescribeInstanceMonitorDataResponseBody } from "./DescribeInstanceMonitorDataResponseBody";
export declare class DescribeInstanceMonitorDataResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: DescribeInstanceMonitorDataResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
